Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.fourthline.cling.support.messagebox.model
Enum Message.DisplayType

    java.lang.Object
      java.lang.Enum<Message.DisplayType>
          org.fourthline.cling.support.messagebox.model.Message.DisplayType

All Implemented Interfaces:
  Serializable, Comparable<Message.DisplayType>

Enclosing class:
  Message

    public static enum Message.DisplayType

extends Enum<Message.DisplayType>

Enum Constant Summary
`MAXIMUM`
`MINIMUM`

Field Summary
`String` | `text`

Method Summary
`static Message.DisplayType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Message.DisplayType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MINIMUM

    public static final Message.DisplayType MINIMUM

### MAXIMUM

    public static final Message.DisplayType MAXIMUM

Field Detail

### text

    public String text

Method Detail

### values

    public static Message.DisplayType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Message.DisplayType c : Message.DisplayType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Message.DisplayType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.